¿Hay alguna distribución de Linux que viene con Python 2.6 todavía?

votos
4

Escuché que ubuntu 9.4 lo hará, pero todavía está en alfa. ¿Hay distribuciones estables que vienen con Python 2.6 o al menos no dependen de ello tanto que la reinstalación de Python no romperá nada?

Publicado el 12/03/2009 a las 20:47
fuente por usuario
En otros idiomas...                            


6 respuestas

votos
9

Arch Linux - http://www.archlinux.org/

Respondida el 12/03/2009 a las 20:56
fuente por usuario

votos
6

Puede instalar Python 2.6 en Ubuntu 8.10 sin problemas.

./configure --prefix=/usr/local
make
sudo make altinstall --prefix=/usr/local

Entonces solo ejecuta python con:

python2.6

Si quieres usarlo en una línea shebang, solo usa:

#!/usr/bin/env python2.6

Sus scripts seguirán funcionando cuando Jaunty 9.04 esté cerca con python2.6 nativo.

Respondida el 12/03/2009 a las 20:59
fuente por usuario

votos
4

openSUSE 11.1 envía Python 2.6 como estándar.

Respondida el 12/03/2009 a las 21:56
fuente por usuario

votos
3

Distrowatch será su mejor lugar para buscar, tiene muchos detalles que comparan diferentes distribuciones.

http://distrowatch.com/

Karl

Respondida el 12/03/2009 a las 20:52
fuente por usuario

votos
1

Por lo que vale, Python 2.6 está disponible en el árbol Portage para Gentoo, pero es hardmasked (que realmente no cuenta como estable) porque aparentemente hay algunos programas que no funcionan con él. Supongo que si tuviera Gentoo, podría instalar Python 2.6 y hacerlo funcionar, pero no sería inteligente convertirlo en la versión predeterminada (es decir, también querría mantener Python 2.5).

Respondida el 12/03/2009 a las 21:16
fuente por usuario

votos
0

Python 2.6.5 está disponible en Fedora Rawhide , pero Rawhide es la rama de desarrollo, por lo que probablemente no se ajuste a tu descripción de "estable" (a pesar de ser notablemente estable). Todavía no parece haber llegado a Fedora 10, y no sé si lo hará o no. Seguro que estará en Fedora 11; ya puedes obtener una versión preliminar, que debería ser más estable que Rawhide. Alternativamente, creo que debería poder tomar el paquete de la presentación preliminar o de Rawhide e instalarlo sin problemas en Fedora 10.

Respondida el 12/03/2009 a las 21:07
fuente por usuario

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more